Debian Bug report logs - #349833
RM: ud -- RoQA; orphaned, better alternatives

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Steve Kemp <skx@debian.org>

Date: Wed, 25 Jan 2006 16:18:09 UTC

Owned by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: submit@bugs.debian.org
Subject: O: ud
Date: Wed, 25 Jan 2006 16:00:40 +0000
Subject: O: ud
Package: wnpp
Severity: normal

*** Please type your report below this line ***

  The uptime daemon "ud" is pretty brittle and I've not had the
 chance to support it as much as I'd like over the last year.

  I suspect removal from the archive wouldn't hurt too many users.

Steve
--

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARENE <varenet@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 349833@bugs.debian.org (full text, mbox):

From: Thibaut VARENE <varenet@debian.org>
To: 349833@bugs.debian.org
Subject: Re: O: ud
Date: Wed, 1 Feb 2006 03:03:43 +0100
I have some (obscure and probably a bit pervert ;-) interest in this
program, and the bugs I'm seing in the BTS don't look especially hard
to fix.

Unless someone else stands up, I'd be ok to take over the package,
though I don't know how long I'll be able to make it live if upstream
is dead...

HTH

T-Bone



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARENE <T-Bone@parisc-linux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 349833@bugs.debian.org (full text, mbox):

From: Thibaut VARENE <T-Bone@parisc-linux.org>
To: Steve Kemp <skx@debian.org>
Cc: 349833@bugs.debian.org
Subject: Re: Fwd: Re: O: ud
Date: Wed, 1 Feb 2006 23:53:01 +0100
On second thought, uptimed seems to be a much better replacement, and
it *is* maintained...

I'm not so sure it's worth spending more effort on ud now ;)

T-Bone

PS: i've got a couple fixes for the bugs in the BTS, dunno what to do with them



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 349833@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: Thibaut VARENE <T-Bone@parisc-linux.org>
Cc: 349833@bugs.debian.org
Subject: Re: Fwd: Re: O: ud
Date: Thu, 2 Feb 2006 07:44:22 +0000
On Wed, Feb 01, 2006 at 11:53:01PM +0100, Thibaut VARENE wrote:

> On second thought, uptimed seems to be a much better replacement, and
> it *is* maintained...
> I'm not so sure it's worth spending more effort on ud now ;)

  See my problem ..?

> PS: i've got a couple fixes for the bugs in the BTS, dunno what to do with them

  If the fixes are simple then apply them, but don't take over the
 package.  Just make an upload and set the maintainer to QA.

  (Add yourself to the uploaders field).

  That way people will get the fixes, but you won't adopt it officially.

Steve
-- 
# The Debian Security Audit Project.
http://www.debian.org/security/audit




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thibaut VARENE <varenet@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 349833@bugs.debian.org (full text, mbox):

From: Thibaut VARENE <varenet@gmail.com>
To: Steve Kemp <skx@debian.org>
Cc: 349833@bugs.debian.org
Subject: Re: Fwd: Re: O: ud
Date: Thu, 2 Feb 2006 15:31:59 +0100
On 2/2/06, Thibaut VARENE <varenet@debian.org> wrote:
> On 2/2/06, Steve Kemp <skx@debian.org> wrote:
> > On Wed, Feb 01, 2006 at 11:53:01PM +0100, Thibaut VARENE wrote:
> > > PS: i've got a couple fixes for the bugs in the BTS, dunno what to do with them
> >
> >   If the fixes are simple then apply them, but don't take over the
> >  package.  Just make an upload and set the maintainer to QA.
> >
> >   (Add yourself to the uploaders field).
> >
> >   That way people will get the fixes, but you won't adopt it officially.
>
>
> Fine, will do. Fixes are rather simple. I've revamped the manpages,
> fixed postrm, revamped postinst. I even had a patch moving
> /etc/ud/config to /etc/default/ud but I'm not sure I'll include that
> one in the upload...

I just uploaded ud-0.7.1-19 to DELAYED 7-day on gluck. It features the
above mentioned changes, as well as QA as the new maintainer. I tested
my changes in a rather extensive way (at least for an orphaned package
:)

HTH

T-Bone



Changed Bug title. Request was from Marcela Tiznado <mtiznado@linux.org.ar> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 349833@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 349833@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Wed, 02 Aug 2006 10:44:00 +0200
retitle 349833 RM: ud -- RoQA; orphaned, no upstream, uptimed is better
reassign 349833 ftp.debian.org
thanks

I think we should remove ud.

  * Orphaned for 6 months.
  * Upstream URL no longer works:
    <http://purelinux.ml.org/ud/>
  * uptimed does the same thing better.
  * popcon: 261 installs, 177 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#349833; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@sel.cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #41 received at 349833@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@sel.cam.ac.uk>
To: Matej Vela <vela@debian.org>
Cc: 349833@bugs.debian.org, control@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Wed, 2 Aug 2006 11:26:54 +0100
On 2 Aug 2006, at 09:44, Matej Vela wrote:

> retitle 349833 RM: ud -- RoQA; orphaned, no upstream, uptimed is  
> better
> reassign 349833 ftp.debian.org
> thanks
>
> I think we should remove ud.
>
>   * Orphaned for 6 months.
>   * Upstream URL no longer works:
>     <http://purelinux.ml.org/ud/>
>   * uptimed does the same thing better.
>   * popcon: 261 installs, 177 votes.

I, for one, still use this, haven't had a problem with it for years,  
and would be sad to see it go. None of the bugs against it are show- 
stoppers, either.

Matthew

-- 
Matthew Vernon MA VetMB LGSM MRCVS
Farm Animal Epidemiology and Informatics Unit
Department of Veterinary Medicine, University of Cambridge
http://www.cus.cam.ac.uk/~mcv21/






Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#349833; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #46 received at 349833@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Matthew Vernon <matthew@sel.cam.ac.uk>
Cc: 349833@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Wed, 02 Aug 2006 13:11:46 +0200
Matthew Vernon <matthew@sel.cam.ac.uk> writes:

> On 2 Aug 2006, at 09:44, Matej Vela wrote:
>
>> I think we should remove ud.
>[...]
>
> I, for one, still use this, haven't had a problem with it for years,
> and would be sad to see it go. None of the bugs against it are show-
> stoppers, either.

Please do adopt it then.  I simply don't think it should ship with
etch without either an upstream or a Debian maintainer.

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#349833; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #51 received at 349833@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 349833@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Wed, 02 Aug 2006 13:12:53 +0200
[Message part 1 (text/plain, inline)]
On Wed, 2006-08-02 at 10:44 +0200, Matej Vela wrote:
>   * Orphaned for 6 months.
>   * Upstream URL no longer works:
>     <http://purelinux.ml.org/ud/>
>   * uptimed does the same thing better.
>   * popcon: 261 installs, 177 votes.

As discussed earlier on this list: if the package isn't particularly
buggy (this one has only 2 normal and 2 wishlist bugs), I see no
pressing reason to remove it.

Popcon also shows that hundreds of people appearently use it. I suggest
to withdraw the removal request.


Thijs
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#349833; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #56 received at 349833@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: debian-qa@lists.debian.org
Cc: Matej Vela <vela@debian.org>, Matthew Vernon <matthew@sel.cam.ac.uk>, 349833@bugs.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Wed, 2 Aug 2006 13:20:33 +0200
[Message part 1 (text/plain, inline)]
Le mer 2 août 2006 13:11, Matej Vela a écrit :
> Matthew Vernon <matthew@sel.cam.ac.uk> writes:
> > On 2 Aug 2006, at 09:44, Matej Vela wrote:
> >> I think we should remove ud.
> >
> >[...]
> >
> > I, for one, still use this, haven't had a problem with it for
> > years, and would be sad to see it go. None of the bugs against it
> > are show- stoppers, either.
>
> Please do adopt it then.  I simply don't think it should ship with
> etch without either an upstream 

> or a Debian maintainer. 
there is, it's the QA Group. packages officialy orphaned are really less 
a pain that packages with a MIA maintainer.

I understand sometimes one has to sort out the very old packages from 
the QA group, and that's good, but here it looks like a used and not 
that buggy package, so I second the fact that it should not be removed.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Joerg Jaspert <joerg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Kemp <skx@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #61 received at 349833-done@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 349833-done@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Sun, 13 Aug 2006 17:13:38 +0200
On 10734 March 1977, Matej Vela wrote:

> I think we should remove ud.
>   * Orphaned for 6 months.
>   * Upstream URL no longer works:
>     <http://purelinux.ml.org/ud/>
>   * uptimed does the same thing better.
>   * popcon: 261 installs, 177 votes.

And as multiple others in this bug report - I disagree. Has enough
users, has no bugs > normal, no need to remove it yet.
Closing bug.

-- 
bye Joerg
"Paris Hilton" is a woman? Not a hotel? This thread gets more surreal
with every post...
<20050131155540.GC485@schnellbox.pigeonloft>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#349833; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #66 received at 349833@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Joerg Jaspert <joerg@debian.org>
Cc: control@bugs.debian.org, 349833@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Sun, 13 Aug 2006 17:40:16 +0200
reopen 349833
retitle 349833 O: ud -- Uptime Daemon
reassign 349833 wnpp
thanks

Joerg Jaspert <joerg@debian.org> writes:

> On 10734 March 1977, Matej Vela wrote:
>
>> I think we should remove ud.
>>   * Orphaned for 6 months.
>>   * Upstream URL no longer works:
>>     <http://purelinux.ml.org/ud/>
>>   * uptimed does the same thing better.
>>   * popcon: 261 installs, 177 votes.
>
> And as multiple others in this bug report - I disagree. Has enough
> users, has no bugs > normal, no need to remove it yet.

Ah well, it's your decision.  I think the only reason it has so many
users is inertia, because it was there before uptimed.  I'll try to
come up with a migration package...

Cheers,

Matej



Bug reopened, originator not changed. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Kujau <evil@g-house.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #77 received at 349833@bugs.debian.org (full text, mbox):

From: Christian Kujau <evil@g-house.de>
To: 349833@bugs.debian.org
Subject: Re: RM: ud -- RoQA; orphaned, no upstream, uptimed is better
Date: Sun, 08 Oct 2006 03:14:34 +0100
Hello,

I'm using "ud" too and had no problems so far (did not encounter #41046,
and #289413 seems to be a wishlist bug). Uptimed may be better
maintained but does not generate neat .html pages, does it?

If the bug-rate of ud stays this low I'd like to adopt it. However, I am
not a DD...

Thanks,
Christian.
-- 
BOFH excuse #432:

Borg nanites have infested the server



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #82 received at 349833@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 349833@bugs.debian.org
Subject: It's worth removing ud...
Date: Fri, 25 May 2007 18:02:32 +0100
[Message part 1 (text/plain, inline)]
I have been using ud for quite some time now and didn't know about uptimed until I read this orphan request.

So it would be worth removing ud (reassign this bug to ftp.debian.org) so that others find the maintained
package.

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349833; Package wnpp. (Sat, 01 Aug 2009 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 01 Aug 2009 13:12:02 GMT) Full text and rfc822 format available.

Message #87 received at 349833@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 349833@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#349833: It's worth removing ud...
Date: Sat, 1 Aug 2009 15:03:59 +0200
reassign 349833 ftp.debian.org
retitle 349833 RM: ud -- RoQA; orphaned, better alternatives
owner 349833 !
thanks

Hi,

Better alternative: uptimed (as pointed in the bug log).

- Lucas




Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 01 Aug 2009 13:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: ud -- RoQA; orphaned, better alternatives' from 'O: ud -- Uptime Daemon' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 01 Aug 2009 13:12:06 GMT) Full text and rfc822 format available.

Owner recorded as Lucas Nussbaum <lucas@lucas-nussbaum.net>. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 01 Aug 2009 13:12:06 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 23:15:10 GMT) Full text and rfc822 format available.

Notification sent to Steve Kemp <skx@debian.org>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 23:15:10 GMT) Full text and rfc822 format available.

Message #98 received at 349833-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 349833-close@bugs.debian.org
Cc: ud@packages.debian.org, ud@packages.qa.debian.org
Subject: Bug#349833: fixed
Date: Sun, 16 Aug 2009 22:57:31 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

        ud |   0.7.1-21 | source, alpha, amd64, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 349833@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/349833

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Sep 2009 07:32:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:50:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.